	.section .text 	@ sekcija za kod
	.global _start		@ ulazna tačka programa treba linkeru
_start:			@ ulazna tačka
	ldr r5, value		@ u r5 ide vrednost za ispis
	bl hexout 		@ poziv potprograma hexout
	bl exit		@ kraj rada programa
value:
.word 0x12345678 		@ vrednost za ispis 
hexout:			@ potprogram za heksa ispis broja u r5
	stmdb sp!, {r0,r4,r5,r14} @ čuvanje na steku korišćenih reg. i povratne adrese
	mov r4, #8 		@ u r4 ide broj heksa cifara broja (8)
loop: mov r0, r5, lsr #28 @ u  r0 ide najznačajnija heksa cifra broja 
	cmp r0, #9 		@ da li je cifra veća od 9?
	addgt r0, r0, #55 	@ ako je slovo, odredi mu ascii kod (za a je 65 itd)
	addle r0, r0, #48 	@ ako je cifra, odredi joj ascii kod (za 0 je 48 itd)
	bl putchar		@ ispis tekuće cifre na konzoli
	mov r5, r5, lsl #4 	@ pomeri r5 za 4 bita ulevo (sledeća heksa cifra)
	subs r4, r4, #1 	@ r4=r4-1 (broj preostalih cifara za ispis)
	bne loop 		@ ako ima još cifara, vrati se na ispis 
	ldmia sp!, {r0,r4,r5,pc} @ povratak u program
	.end


